net.snowflake.client.loader

## Class BufferStage

- java.lang.Object
- - net.snowflake.client.loader.BufferStage

    public class BufferStage
    extends Object

Class representing a unit of work for uploader. Corresponds to a collection of data files for a single processing stage.

### Nested Class Summary

Nested Classes
`static class` `BufferStage.State`

### Field Summary

Fields
`static int` `FILE_BUCKET_SIZE`
`static long` `FILE_SIZE`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getId()`
`boolean` `isTerminate()`
`void` `setId(String _id)`
`void` `setState(BufferStage.State state)`
`void` `setTerminate(boolean terminate)`
`BufferStage.State` `state()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### FILE_BUCKET_SIZE

    public static final int FILE_BUCKET_SIZE

See Also:
  Constant Field Values

#### FILE_SIZE

    public static final long FILE_SIZE

See Also:
  Constant Field Values

### Method Detail

#### isTerminate

    public boolean isTerminate()

#### setTerminate

    public void setTerminate(boolean terminate)

#### getId

    public String getId()

#### setId

    public void setId(String _id)

#### state

    public BufferStage.State state()

#### setState

    public void setState(BufferStage.State state)